Issue #8000 has been updated by edmccard (Ed McCardell).

File crash-2.txt added

Attached is the gdb backtrace from running nagai's test script.
----------------------------------------
Bug #8000: "require 'tk'" segfaults on 64-bit linux with Tk 8.6
https://bugs.ruby-lang.org/issues/8000#change-37720

Author: edmccard (Ed McCardell)
Status: Open
Priority: Normal
Assignee: nagai (Hidetoshi Nagai)
Category: 
Target version: 
ruby -v: ruby 1.9.3p392 (2013-02-22 revision 39386) [x86_64-linux]


Using ruby 1.9.3p392 and Tk 8.6.0 on 64-bit Arch Linux, attempting to "require 'tk'" causes a segfault.

To reproduce:
    ruby -e "require 'tk'"

The crash log is in the attached file.

Notes:
- I've heard from a Gentoo user who is having the same problem.
- On 32-bit Arch Linux, there is no problem.


-- 
http://bugs.ruby-lang.org/